Boletim de Segurança da Microsoft MS17-008 – Crítico

Atualização de segurança para o Windows Hyper-V (4013082)

Publicado em: 14 de março de 2017

Versão: 1.0

Esta atualização de segurança elimina vulnerabilidades no Microsoft Windows. A mais grave das vulnerabilidades poderá permitir a execução remota de código se um invasor autenticado em um sistema operacional convidado executar um aplicativo especialmente criado que causa a execução de um código arbitrário pelo sistema operacional do host Hyper-V. Os clientes que não habilitaram a função do Hyper-V não serão afetados.

Esta atualização de segurança foi classificada como Crítica para todas as edições com suporte do Windows. Para obter mais informações, consulte a seção Softwares afetados.

A atualização de segurança aborda as vulnerabilidades corrigindo como o Hyper-V valida a entrada do usuário do sistema operacional convidado. Para obter mais informações sobre as vulnerabilidades, consulte a seção Informações sobre a vulnerabilidade.

Para obter mais informações sobre essa atualização, consulte o artigo 4013082 da Base de Dados de Conhecimento Microsoft.

As seguinte versões ou edições de software foram afetadas. As versões ou edições que não estão listadas já passaram de seu ciclo de vida do suporte ou não foram afetadas. Para determinar o ciclo de vida do suporte para sua versão ou edição de software, consulte Ciclo de vida do suporte da Microsoft.

As classificações de gravidade a seguir pressupõem o impacto máximo possível da vulnerabilidade. Para obter informações referentes à probabilidade da capacidade de exploração da vulnerabilidade em relação à sua classificação de gravidade e ao impacto à segurança, dentro de 30 dias a partir do lançamento deste boletim de segurança, consulte o Índice de capacidade de exploração no Resumo dos boletins de março.

Softwares da Microsoft (Tabela 1 de 2)

Sistema operacional

Vulnerabilidade de execução remota de código do Hyper-V vSMB – CVE-2017-0021

Vulnerabilidade de negação de serviço em comutadores de rede com Microsoft Hyper-V - CVE-2017-0051

Vulnerabilidade de negação de serviço do Hyper-V – CVE-2017-0074

Vulnerabilidade de execução remota de código do Hyper-V – CVE-2017-0075

Vulnerabilidade de negação de serviço do Hyper-V:
CVE-2017-0076
CVE-2017-0097
CVE-2017-0099

Atualizações substituídas

Windows Server 2008

Windows Server 2008 Service Pack 2 para sistemas com base em x64
(3211306)

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows 7

Windows 7 Service Pack 1 para sistemas com base em x64
(4012212)
Apenas segurança[1]

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows 7 Service Pack 1 para sistemas com base em x64
(4012215)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

3212646

Windows Server 2008 R2

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64
(4012212)
Apenas segurança[1]

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64
(4012215)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

3212646

Windows 8.1

Windows 8.1 para sistemas com base em x64
(4012213)
Apenas segurança[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows 8.1 para sistemas com base em x64
(4012216)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3205401

Windows Server 2012 e Windows Server 2012 R2

Windows Server 2012
(4012214)
Apenas segurança[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2012
(4012217)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3205409

Windows Server 2012 R2
(4012213)
Apenas segurança[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2012 R2
(4012216)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3205401

Windows 10

Windows 10 para sistemas com base em x64 [3]
(4012606)

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3210720

Windows 10 Versão 1511 para sistemas com base em x64 [3]
(4013198)

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3210721

Windows 10 Versão 1607 para sistemas com base em x64 [3]
(4013429)

Crítica 
Execução remota de código

Importante 
Negação de serviço

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3213986

Windows Server 2016

Windows Server 2016 para sistemas com base em x64 [3]
(4013429)

Crítica 
Execução remota de código

Importante 
Negação de serviço

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3213986

Opção de instalação Server Core

Windows Server 2008 Service Pack 2 para sistemas com base em x64 (instalação Server Core)
(3211306)

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64 (instalação do Server Core)
(4012212)
Apenas segurança [1]

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64
(instalação Server Core)
(4012215)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Não Aplicável

Crítica 
Execução remota de código

Importante 
Negação de serviço

3212646

Windows Server 2012 (instalação Server Core)
(4012214)
Apenas segurança [1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2012 (instalação Server Core)
(4012217)
Pacote cumulativo mensal[1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3205409

Windows Server 2012 R2 (instalação Server Core)
(4012213)
Apenas segurança [1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

Nenhuma

Windows Server 2012 R2 (instalação Server Core)
(4012216)
Pacote cumulativo mensal [1]

Não aplicável

Não Aplicável

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3205401

Windows Server 2016 para sistemas com base em x64 [3] (instalação Server Core)
(4013429)

Crítica 
Execução remota de código

Importante 
Negação de serviço

Importante 
Negação de serviço

Crítica 
Execução remota de código

Importante 
Negação de serviço

3213986


Softwares da Microsoft (Tabela 2 de 2)

Sistema operacional

Vulnerabilidade de execução remota de código do Hyper-V vSMB – CVE-2017-0095

Vulnerabilidade de divulgação de informações do Hyper-V – CVE-2017-0096

Vulnerabilidade de negação de serviço do Hyper-V – CVE-2017-0098

Vulnerabilidade de corrupção de memória do Hyper-V – CVE-2017-0109

Atualizações substituídas

Windows Server 2008

Windows Server 2008 Service Pack 2 para sistemas com base em x64
(3211306)

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows 7

Windows 7 Service Pack 1 para sistemas com base em x64
(4012212)
Apenas segurança[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows 7 Service Pack 1 para sistemas com base em x64
(4012215)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3212646

Windows Server 2008 R2

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64
(4012212)
Apenas segurança[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64
(4012215)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3212646

Windows 8.1

Windows 8.1 para sistemas com base em x64
(4012213)
Apenas segurança[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows 8.1 para sistemas com base em x64
(4012216)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3205401

Windows Server 2012 e Windows Server 2012 R2

Windows Server 2012
(4012214)
Apenas segurança[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2012
(4012217)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3205409

Windows Server 2012 R2
(4012213)
Apenas segurança[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2012 R2
(4012216)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3205401

Windows 10

Windows 10 para sistemas com base em x64 [3]
(4012606)

Importante 
Execução remota de código

Importante 
Divulgação de informações

Importante 
Negação de serviço

Crítica 
Execução remota de código

3210720

Windows 10 Versão 1511 para sistemas com base em x64 [3]
(4013198)

Importante 
Execução remota de código

Importante 
Divulgação de informações

Importante 
Negação de serviço

Crítica 
Execução remota de código

3210721

Windows 10 Versão 1607 para sistemas com base em x64 [3]
(4013429)

Importante 
Execução remota de código

Importante 
Divulgação de informações

Importante 
Negação de serviço

Crítica 
Execução remota de código

3213986

Windows Server 2016

Windows Server 2016 para sistemas com base em x64 [3]
(4013429)

Importante 
Execução remota de código

Importante 
Divulgação de informações

Importante 
Negação de serviço

Crítica 
Execução remota de código

3213986

Opção de instalação Server Core

Windows Server 2008 Service Pack 2 para sistemas com base em x64 (instalação Server Core)
(3211306)

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64 (instalação do Server Core)
(4012212)
Apenas segurança [1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2008 R2 Service Pack 1 para sistemas com base em x64
(instalação Server Core)
(4012215)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3212646

Windows Server 2012 (instalação Server Core)
(4012214)
Apenas segurança [1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2012 (instalação Server Core)
(4012217)
Pacote cumulativo mensal[1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3205409

Windows Server 2012 R2 (instalação Server Core)
(4012213)
Apenas segurança [1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

Nenhuma

Windows Server 2012 R2 (instalação Server Core)
(4012216)
Pacote cumulativo mensal [1]

Não aplicável

Importante 
Divulgação de informações

Não aplicável

Crítica 
Execução remota de código

3205401

Windows Server 2016 para sistemas com base em x64 [3] (instalação Server Core)
(4013429)

Importante 
Execução remota de código

Importante 
Divulgação de informações

Importante 
Negação de serviço

Crítica 
Execução remota de código

3213986

[1]A partir da versão de outubro de 2016, a Microsoft está modificando o modelo de fornecimento de atualizações para os sistemas operacionais Windows 7, Windows Server 2008 R2, Windows 8.1, Windows Server 2012 e Windows Server 2012 R2. Para obter mais informações, consulte este artigo do Microsoft TechNet.

[2]Esta atualização só está disponível no Windows Update.

[3] As atualizações do Windows 10 e do Windows Server 2016 são cumulativas. O lançamento de segurança mensal inclui todas as correções de segurança para as vulnerabilidades que afetam o Windows 10, além de conter atualizações não relacionadas à segurança. As atualizações estão disponíveis pelo Catálogo do Microsoft Update. Observe que, a partir de 13 de dezembro de 2016, os detalhes do Windows 10 e do Windows Server 2016 para as Atualizações cumulativas serão documentados em Notas de versão. Consulte as Notas de versão para ver números de compilação de sistemas operacionais, problemas conhecidos e informações de listas de arquivos afetados.

* A coluna Atualizações substituídas mostra somente a atualização mais recente em qualquer cadeia de atualizações substituídas. Para ver um lista abrangente de atualizações substituídas, acesse o Catálogo do Microsoft Update, procure o número do artigo da base de dados da atualização e depois visualize os detalhes da atualização (informações sobre as atualizações substituídas são fornecidas na guia Detalhes do Pacote).

Não tenho o Hyper-V habilitado. Por que não estão me oferecendo a atualização? 
Há o código vulnerável no software afetado que está listado na tabela. Como medida de defesa profunda e para garantir que os sistemas sejam protegidos se o Hyper-V estiver ativado, a atualização é aplicável a todos os produtos e versões com suporte que contêm o código vulnerável.

Várias vulnerabilidades de negação de serviço do Hyper-V

Existem várias vulnerabilidade de negação de serviço quando o comutador de rede Microsoft Hyper-V em um servidor host não consegue validar corretamente a entrada de um usuário privilegiado em um sistema operacional convidado. Para explorar essas vulnerabilidades, um invasor que já possui uma conta com privilégios em um sistema operacional convidado, operando como máquina virtual, pode executar um aplicativo especialmente criado que causa pane em um computador host.

Para explorar essas vulnerabilidades, um invasor que já possui uma conta com privilégios em um sistema operacional convidado, operando como máquina virtual, pode executar um aplicativo especialmente criado.

A atualização de segurança resolve essas vulnerabilidades, impedindo o acesso à memória fora do limite.

A tabela a seguir contém links para a entrada padrão de cada vulnerabilidade na lista Vulnerabilidades e exposições comuns:

Título da vulnerabilidade

Número de CVE

Divulgadas de forma pública

Explorado

Vulnerabilidade de negação de serviço em comutadores de rede com Microsoft Hyper-V

CVE-2017-0051

Não

Não

Vulnerabilidade de negação de serviço do Hyper-V

CVE-2017-0074

Não

Não

Vulnerabilidade de negação de serviço do Hyper-V

CVE-2017-0076

Não

Não

Vulnerabilidade de negação de serviço do Hyper-V

CVE-2017-0097

Sim

Não

Vulnerabilidade de negação de serviço do Hyper-V

CVE-2017-0098

Não

Não

Vulnerabilidade de negação de serviço do Hyper-V

CVE-2017-0099

Não

Não

Fatores atenuantes

Os seguintes fatores atenuantes podem ser úteis no seu caso:

  • Os clientes que não habilitaram a função do Hyper-V não serão afetados.

Soluções alternativas

A Microsoft não identificou soluções alternativas para essas vulnerabilidades.

Várias vulnerabilidades de execução remota de código do Hyper-V vSMB

Existem várias vulnerabilidade de execução remota de código quando o Windows Hyper-V em um servidor host não consegue validar corretamente os dados de pacotes do vSMB. Um invasor que conseguir explorar essas vulnerabilidades poderá executar código arbitrário em um sistema operacional de destino.

Para explorar essas vulnerabilidades, um invasor operando dentro de uma máquina virtual pode executar um aplicativo especialmente criado, fazendo com que o sistema de operacional do host Hyper-V execute um código arbitrário.

A atualização resolve as vulnerabilidades, corrigindo como o Windows Hyper-V valida dados de pacotes do vSMB.

A tabela a seguir contém links para a entrada padrão de cada vulnerabilidade na lista Vulnerabilidades e exposições comuns:

Título da vulnerabilidade

Número de CVE

Divulgadas de forma pública

Explorado

Vulnerabilidade de execução remota de código do Hyper-V vSMB

CVE-2017-0021

Não

Não

Vulnerabilidade de execução remota de código do Hyper-V vSMB

CVE-2017-0095

Não

Não

Fatores atenuantes

Os seguintes fatores atenuantes podem ser úteis no seu caso:

  • Os clientes que não habilitaram a função do Hyper-V não serão afetados.

Soluções alternativas

A Microsoft não identificou soluções alternativas para essas vulnerabilidades.

Várias vulnerabilidades de execução remota de código do Hyper-V

Existem várias vulnerabilidades de execução remota de código quando há uma falha no Windows Hyper-V de um servidor host em validar corretamente a entrada de um usuário autenticado em um sistema operacional convidado. Para explorar essas vulnerabilidades, um invasor pode executar um aplicativo especialmente criado em um sistema operacional convidado, que pode fazer com que o sistema operacional do host Hiper-V execute um código arbitrário

Um invasor que conseguir explorar essa vulnerabilidade poderá executar o código arbitrário no sistema operacional do host.

A atualização de segurança resolve essas vulnerabilidades, corrigindo a maneira como o Hyper-V valida a entrada do usuário no sistema operacional convidado.

A tabela a seguir contém links para a entrada padrão de cada vulnerabilidade na lista Vulnerabilidades e exposições comuns:

Título da vulnerabilidade

Número de CVE

Divulgadas de forma pública

Explorado

Vulnerabilidade de execução remota de código do Hyper-V

CVE-2017-0075

Não

Não

Vulnerabilidade de execução remota de código do Hyper-V

CVE-2017-0109

Não

Não

Fatores atenuantes

Os seguintes fatores atenuantes podem ser úteis no seu caso:

  • Os clientes que não habilitaram a função do Hyper-V não serão afetados.

Soluções alternativas

A Microsoft não identificou soluções alternativas para essas vulnerabilidades.

Vulnerabilidade de divulgação de informações do Hyper-V – CVE-2017-0096

Existe uma vulnerabilidade de divulgação não autorizada de informações quando o sistema operacional do host Windows Hyper-V não consegue validar corretamente a entrada de um usuário autenticado em um sistema operacional convidado. Para explorar a vulnerabilidade, um invasor em um sistema operacional convidado pode executar um aplicativo especialmente criado, que pode causar a divulgação de informações da memória no sistema operacional do host Hiper-V.

Um invasor que conseguir explorar a vulnerabilidade poderá obter acesso a informações sobre o sistema operacional do host Hyper-V.

A atualização de segurança aborda a vulnerabilidade corrigindo como o Hyper-V valida a entrada do usuário do sistema operacional convidado.

A tabela a seguir contém links para a entrada padrão para cada vulnerabilidade na lista Vulnerabilidades Comuns e Exposições:

Título da vulnerabilidade

Número de CVE

Divulgadas de forma pública

Explorado

Vulnerabilidade de divulgação de informações do Hyper-V

CVE-2017-0096

Não

Não

Fatores atenuantes

Os seguintes fatores atenuantes podem ser úteis no seu caso:

  • Os clientes que não habilitaram a função do Hyper-V não serão afetados.

Soluções alternativas

A Microsoft não identificou soluções alternativas para essa vulnerabilidade.

Para obter informações sobre a implementação de atualizações de segurança, consulte o artigo da Base de Dados de Conhecimento Microsoft mencionado aqui no Resumo executivo.

A Microsoft reconhece os esforços dos membros da comunidade de segurança que nos ajudam a proteger os consumidores graças à divulgação responsável de vulnerabilidades. Consulte Agradecimentos para obter mais informações.

As informações fornecidas na Base de Dados de Conhecimento Microsoft são apresentadas "no estado em que se encontram", sem garantia de qualquer tipo. A Microsoft se isenta de todas as garantias, expressas ou implícitas, inclusive as garantias de comercialização e adequação a um propósito específico. Em hipótese alguma a Microsoft Corporation ou seus fornecedores serão responsáveis por quaisquer danos, inclusive danos diretos, indiretos, incidentais, consequenciais, danos por lucros cessantes ou danos especiais, mesmo que a Microsoft Corporation ou seus fornecedores tenham sido alertados da possibilidade dos referidos danos. Como alguns estados não permitem a exclusão ou limitação de responsabilidade por danos consequenciais ou indiretos, a limitação acima pode não ser aplicável a você.

  • V1.0 (14 de março de 2017): Boletim publicado.
Página gerada em 08/03/2017 às 12:34-08:00.
Mostrar: